> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Volumes



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/training/volumes
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/training/volumes:
    get:
      tags:
        - training
      summary: List Volumes
      operationId: list_volumes_api_v1_training_volumes_get
      parameters:
        - name: teamId
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Teamid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListVolumesResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    ListVolumesResponse:
      properties:
        volumes:
          items:
            $ref: '#/components/schemas/VolumeResponse'
          type: array
          title: Volumes
      type: object
      required:
        - volumes
      title: ListVolumesResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    VolumeResponse:
      properties:
        name:
          type: string
          title: Name
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
        status:
          type: string
          title: Status
        clusterId:
          type: string
          title: Clusterid
        namespace:
          type: string
          title: Namespace
        pvcName:
          type: string
          title: Pvcname
        createdBy:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdby
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
      type: object
      required:
        - name
        - size
        - status
        - clusterId
        - namespace
        - pvcName
        - createdBy
        - createdAt
      title: VolumeResponse
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````